#!/bin/bash 
MODULE="rndis_host"
ieee802154channel=12

usage="ieee802154_set_properties [options [argument]] ...\n-c|--ieee802154channel\t sets the channel for the ieee802154 device (11..26)"

if [ $# -eq 0 ]
then 
	echo -e $usage
	exit 1
fi

# options may be followed by one colon to indicate they have a required argument
if ! options=$(getopt -o hc: -l help,ieee802154channel: -- "$@")
then
    # something went wrong, getopt will put out an error message for us
    exit 1
fi

set -- $options


while [ $# -gt 1 ]
do
    case $1 in
    -h|--help) echo -e  $usage; exit 1 ;;
    # for options with required arguments, an additional shift is required
    -c|--ieee802154channel) ieee802154channel=$(eval echo $2 ); shift;;
    (--|-*|--) echo "$0: error - unrecognized option $1" 1>&2; exit 1;;
    esac
    shift
done

echo -e "Reloading driver with following options: \nieee802154channel:  $ieee802154channel"

if [ `lsmod | grep -o ^$MODULE` ]
then
    modprobe -r $MODULE
fi

#echo "modprobe rndis_host ieee802154channel=$ieee802154channel"
modprobe --first-time rndis_host ieee802154channel=$ieee802154channel

exit 0
